Page MenuHomePhabricator

Implement vector count leading/trailing bytes with zero lsb and vector parity builtins - llvm portion
ClosedPublic

Authored by syzaara on Oct 26 2016, 11:42 AM.

Details

Summary

Implement builtins for prototypes:

signed int vec_cntlz_lsbb (vector signed char);
signed int vec_cntlz_lsbb (vector unsigned char);
signed int vec_cnttz_lsbb (vector signed char);
signed int vec_cnttz_lsbb (vector unsigned char);
vector unsigned int vec_parity_lsbb (vector signed int);
vector unsigned int vec_parity_lsbb (vector unsigned int);
vector unsigned int128 vec_parity_lsbb (vector signed int128);
vector unsigned int128 vec_parity_lsbb (vector unsigned int128);
vector unsigned long long vec_parity_lsbb (vector signed long long);
vector unsigned long long vec_parity_lsbb (vector unsigned long long);

Diff Detail

Event Timeline

syzaara updated this revision to Diff 75922.Oct 26 2016, 11:42 AM
syzaara retitled this revision from to Implement vector count leading/trailing bytes with zero lsb and vector parity builtins - llvm portion.
syzaara updated this object.
syzaara added subscribers: llvm-commits, echristo.
nemanjai edited edge metadata.Oct 27 2016, 1:13 AM

Other than the formatting, this LGTM.

lib/Target/PowerPC/PPCInstrAltivec.td
1285

Please keep the indentation consistent - the first character of the second line lines up with the first operand in the angle bracket.

1286

also, the spacing is weird here, please keep it consistent:
(set i32:$rD, (int_....

kbarton accepted this revision.Oct 27 2016, 1:34 PM
kbarton edited edge metadata.

LGTM

This revision is now accepted and ready to land.Oct 27 2016, 1:34 PM
syzaara updated this revision to Diff 76111.Oct 27 2016, 2:59 PM
syzaara edited edge metadata.

Fix formatting.

echristo accepted this revision.Oct 27 2016, 4:20 PM
echristo added a reviewer: echristo.

Committed revision 285434.
Zaara, please close this review if there are no buildbot failures.

syzaara closed this revision.Oct 31 2016, 12:28 PM